com.genesyslab.wfm7.API.service.config720

## Class CfgTimezoneBias

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgTimezoneBias

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimezoneBias
      extends java.lang.Object
      implements java.io.Serializable

  Describes deviation from standard Time Zone bias (e.g. DST)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmBias` Additional Bias in minutes
    `private double` | `wmEndDatetime` End Date/Time (`OleDateTime`)
    `private double` | `wmStartDatetime` Start Date/Time (`OleDateTime`)
    `private int` | `wmTimezoneBiasId` Record ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimezoneBias()`
    `CfgTimezoneBias(int wmTimezoneBiasId, double wmStartDatetime, double wmEndDatetime, int wmBias)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmBias()` Gets the wmBias value for this CfgTimezoneBias.
    `double` | `getWmEndDatetime()` Gets the wmEndDatetime value for this CfgTimezoneBias.
    `double` | `getWmStartDatetime()` Gets the wmStartDatetime value for this CfgTimezoneBias.
    `int` | `getWmTimezoneBiasId()` Gets the wmTimezoneBiasId value for this CfgTimezoneBias.
    `int` | `hashCode()`
    `void` | `setWmBias(int wmBias)` Sets the wmBias value for this CfgTimezoneBias.
    `void` | `setWmEndDatetime(double wmEndDatetime)` Sets the wmEndDatetime value for this CfgTimezoneBias.
    `void` | `setWmStartDatetime(double wmStartDatetime)` Sets the wmStartDatetime value for this CfgTimezoneBias.
    `void` | `setWmTimezoneBiasId(int wmTimezoneBiasId)` Sets the wmTimezoneBiasId value for this CfgTimezoneBias.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTimezoneBiasId

          private int wmTimezoneBiasId

      Record ID

    - #### wmStartDatetime

          private double wmStartDatetime

      Start Date/Time (`OleDateTime`)

    - #### wmEndDatetime

          private double wmEndDatetime

      End Date/Time (`OleDateTime`)

    - #### wmBias

          private int wmBias

      Additional Bias in minutes

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgTimezoneBias

          public CfgTimezoneBias()

    - #### CfgTimezoneBias

          public CfgTimezoneBias(int wmTimezoneBiasId,
                         double wmStartDatetime,
                         double wmEndDatetime,
                         int wmBias)

  - ### Method Detail

    - #### getWmTimezoneBiasId

          public int getWmTimezoneBiasId()

      Gets the wmTimezoneBiasId value for this CfgTimezoneBias.
      Returns:
        wmTimezoneBiasId

    - #### setWmTimezoneBiasId

          public void setWmTimezoneBiasId(int wmTimezoneBiasId)

      Sets the wmTimezoneBiasId value for this CfgTimezoneBias.
      Parameters:
        `wmTimezoneBiasId` -

    - #### getWmStartDatetime

          public double getWmStartDatetime()

      Gets the wmStartDatetime value for this CfgTimezoneBias.
      Returns:
        wmStartDatetime

    - #### setWmStartDatetime

          public void setWmStartDatetime(double wmStartDatetime)

      Sets the wmStartDatetime value for this CfgTimezoneBias.
      Parameters:
        `wmStartDatetime` -

    - #### getWmEndDatetime

          public double getWmEndDatetime()

      Gets the wmEndDatetime value for this CfgTimezoneBias.
      Returns:
        wmEndDatetime

    - #### setWmEndDatetime

          public void setWmEndDatetime(double wmEndDatetime)

      Sets the wmEndDatetime value for this CfgTimezoneBias.
      Parameters:
        `wmEndDatetime` -

    - #### getWmBias

          public int getWmBias()

      Gets the wmBias value for this CfgTimezoneBias.
      Returns:
        wmBias

    - #### setWmBias

          public void setWmBias(int wmBias)

      Sets the wmBias value for this CfgTimezoneBias.
      Parameters:
        `wmBias` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.